package wumpus.agent;

import wumpus.world.Action;
import wumpus.world.WorldModel;
import wumpus.world.WorldState;
import wumpus.world.WorldState;


import java.util.Random;


public class Agent implements WorldModel.Agent {

	private Action[][] policy;

	/**
	 * This method is called when the simulation engine requests the next action.
	 * You are given a position of the robot and the map of the environment.
	 *
	 * The top-left corner has coordinates (0,0). 
	 * 
	 * You can check whether there is an obstacle on a particular cell of the map 
	 * by querying map[x][y] == wumpus.world.CellContent.OBSTACLE.
	 *
	 * There is one gold on the map. You can query whether a position contains gold by
	 * querying map[x][y] == wumpus.world.CellContent.GOLD.
	 * 
	 * Further, there are several pits on the map. You can query whether a position contains pit by
	 * querying map[x][y] == wumpus.world.CellContent.PIT.
	 *
	 * @return action to perform in the next step
	 */

	public Action nextStep(WorldState state) {
		// This code returns a random action
		Random rand = new Random();
		int actionNo = rand.nextInt(4);
		return Action.values()[actionNo];
	}

}
